跳转至

查询提币订单详情

请求

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/integrated/withdraw-orders/{order_no}
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/integrated/withdraw-orders/{order_no}

参数

路径参数

字段类型描述
b_id
必填
String业务线 ID
order_no
必填
String订单 ID

响应

响应体

字段类型描述
codeInteger响应码(0 = 成功)
messageString响应消息
successfulBoolean请求是否成功
dataObject提币订单详情(详见下方 data 对象详情)

data(对象)

字段类型描述
bidString业务线 ID
applicantString订单制作人
order_noString订单 ID
currencyString资产名称
coin_nameString代币名称
feeInteger提币手续费
amountInteger提币金额
dest_wallet_codeString目标钱包 ID
dest_addressString目标地址
dest_tagString目标地址的 tag 或 memo
statusString提币订单状态
允许值: PROCESSING(处理中)、COMPLETE(完成)、FAILED(失败)
descriptionString订单描述
create_time_stampLong订单创建时间
tx_infosObject[]交易信息(详见下方 tx_infos 对象详情)

tx_infos(对象)

字段类型描述
tx_hashString交易哈希值

响应示例

{
  "code": 0,
  "data": {
    "bid": "string",
    "applicant": "string",
    "order_no": "string",
    "currency": "string",
    "coin_name": "string",
    "fee": 100000000,
    "amount": 200000000,
    "dest_wallet_code": "string",
    "dest_address": "string",
    "dest_tag": "string",
    "description": "string",
    "status": "string",
    "create_time_stamp": 1663130578000,
    "tx_hash": [
      {
        "tx_hash": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
      }
    ]
  },
  "message": "",
  "successful": true
}